const s_sdk_huawei_appid = "106785021";

let qg = window["qg"] || window["hbs"];
let beforeLoginUserDataPath = qg.env.USER_DATA_PATH;

//开始一个加载框  （在花瓣上无法关闭加载框）
// qg.showLoading({
//     title: '加载中',
// })

function startGame() {
    console.log("game.js startGame");

    // setTimeout(() => {
    //     //关闭加载框 (需要延迟关闭，否则在花瓣轻游上 关闭不上)
    //     qg.hideLoading()
    // }, 2000);

    require("game_origin.js")
}


function prepareStartGame() {
    console.log("game.js readStartGame");

    let fileManager = qg.getFileSystemManager();

    let path = qg.env.USER_DATA_PATH + "/ul_version.txt";
    console.log("game.js readStartGame path:", path);

    let exist = true;
    try {
        fileManager.accessSync(path);
    } catch (error) {
        exist = false;
    }

    console.log("game.js ul_version.txt exist:", exist);
    if (!exist) {
        try {
            fileManager.writeFileSync(path, '0', 'utf8');
        } catch (error) {
            console.log("game.js writeFileSync ul_version err =", error);
        }

        try {
            //为了修复更新后 cocos2.4.0 老用户进不去游戏的 Bug
            //删除登录前的 gamecaches 文件目录
            let gamecachesPath = beforeLoginUserDataPath + "/gamecaches";
            fileManager.rmdirSync(gamecachesPath, true);
        } catch (error) {
            console.log('game.js rmdirSync beforeLogin gamecaches error = ' + error);
        }

        try {
            //为了修复更新后 cocos2.4.0 老用户进不去游戏的 Bug
            //删除登录后的 gamecaches 文件目录
            let gamecachesPath = qg.env.USER_DATA_PATH + "/gamecaches";
            fileManager.rmdirSync(gamecachesPath, true);
        } catch (error) {
            console.log('game.js rmdirSync gamecaches error = ' + error);
        }
    }


    startGame();
}


function tryLogin() {
    console.log("game.js tryLogin");
    try {
        let loginFunc = qg.gameLoginWithReal || qg.gameLogin
        loginFunc({
            forceLogin: 1,
            appid: s_sdk_huawei_appid,
            success: (res) => {
                console.log("game.js tryLogin gameLogin success", res);
                window["huaweiHadLogin"] = true;
                prepareStartGame();
            },
            fail: (data, code) => {
                console.log("game.js tryLogin gameLogin fail", data, code);
                loginFail();
            }
        });
    } catch (e) {
        console.log("game.js tryLogin has error", e.message);
        loginFail();
    }
}


function loginFail() {
    console.log("game.js loginFail");

    qg.showModal({
        title: '温馨提示',
        content: '需要授权才能进行游戏，请点击按钮重新登录',
        showCancel: true,
        confirmText: '重新登录',
        success: (res) => {
            console.log("game.js loginFail showModal success :", res);
            if (res) {
                console.log("game.js loginFail showModal sure");
                tryLogin()
            } else {
                console.log("game.js loginFail showModal cancel");
                qg.exitApplication({});
            }
        }
    })
}

tryLogin();
